# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Singleton.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name Test-Singleton
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Testing for Singleton Class
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TP/TPG/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
** If you are unfamiliar with testing read Test::Tutorial first! **

This is asimple, basic module for checking whether a class is a
Singleton. A Singleton describes an object class that can have only
one instance in any system.  An example of a Singleton might be a
print spooler or system registry, or any kind of central dispatcher.

For a description and discussion of the Singleton class, see 
"Design Patterns", Gamma et al, Addison-Wesley, 1995, ISBN 0-201-63361-2.

=over 4

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ChangeLog COPYING
%perl_vendor_privlib/T*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

